#include <stdio.h>
#include "defines.h"
#include "aig.h"

int fputs_not98(FILE *fp,unchar *str,int mode)
/* 文字列出力：９８文字は可読化 */
{
unint c,cc;
int ret;
unchar mojis[7];
	while ((c=*str++)!=0) {
		if (check_kanji1(c)) {
			cc=*str++;
			if (cc==0) break; /* 漢字２バイト目が無い時 */
			c=code98((c<<8|cc),mojis,mode);
			if (c>=0xff00) {
				ret=fputs(mojis,fp);
				if (ret) return(ret);
				continue;
			}
		}
		if (fputc2(c,fp)==EOF) return(EOF);
	}
	return(0);
}
